[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xserver-xorg-input-synaptics: Changes to 'ubuntu'



 debian/changelog                                                 |   34 
 debian/patches/01-synaptics-dont-grab-if-not-on-current-VT.patch |    6 
 debian/patches/103_enable_cornertapping.patch                    |   10 
 debian/patches/104_always_enable_tapping.patch                   |   19 
 debian/patches/105_always_enable_multifinger_click.patch         |   19 
 debian/patches/106_always_enable_vert_edge_scroll.patch          |   15 
 debian/patches/107_reduce_cursor_speed.patch                     |   15 
 debian/patches/series                                            |    5 
 debian/xsfbs/xsfbs-autoreconf.mk                                 |  150 ---
 debian/xsfbs/xsfbs.mk                                            |  104 --
 debian/xsfbs/xsfbs.sh                                            |  387 +++++-----
 11 files changed, 340 insertions(+), 424 deletions(-)

New commits:
commit 98a6bf4e8402baf0a2710b039fc308ef0043bea8
Author: Timo Aaltonen <tjaalton@cc.hut.fi>
Date:   Mon Jan 26 10:11:02 2009 +0200

    Release -2ubuntu1, include patch 108_syndaemon_xinput_props.patch

diff --git a/debian/changelog b/debian/changelog
index 4d9c1b4..5d29a3d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+xfree86-driver-synaptics (0.99.3-2ubuntu1) jaunty; urgency=low
+
+  * Merge from Debian experimental.
+  * Revive syndaemon_xinput_props.patch, now refreshed as 108.
+    Thanks to John S. Gruber for noticing it was dropped in haste.
+    (LP: #321355)
+
+ -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 26 Jan 2009 09:57:07 +0200
+
 xfree86-driver-synaptics (0.99.3-2) experimental; urgency=low
 
   * Update our copy of xsfbs to get a fixed serverabi rule and generate
diff --git a/debian/patches/series b/debian/patches/series
index 50e5564..dfd0686 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -4,3 +4,4 @@
 105_always_enable_multifinger_click.patch
 106_always_enable_vert_edge_scroll.patch
 107_reduce_cursor_speed.patch
+108_syndaemon_xinput_props.patch

commit ab1728c1d02943282646f368b35f20914e936568
Author: Timo Aaltonen <tjaalton@cc.hut.fi>
Date:   Mon Jan 26 09:53:58 2009 +0200

    Add a few patches and update 103.

diff --git a/debian/changelog b/debian/changelog
index 146f725..81bfd7b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,20 @@
+xfree86-driver-synaptics (0.99.3-1ubuntu2) jaunty; urgency=low
+
+  [ Alberto Milone (tseliot) ]
+  * 103_enable_cornertapping.patch:
+    - Update patch for the new upstream release. (LP: #320632)
+  * 104_always_enable_tapping.patch:
+    - Enable tapping even when a physical left button is available. (LP: #320585)
+  * 105_always_enable_multifinger_click.patch:
+    - Enable multifinger click (where available) even when physical right/middle
+      buttons are available. (LP: #320585)
+  * 106_always_enable_vert_edge_scroll.patch:
+    - Enable scrolling even when doubletap is available. (LP: #320632)
+  * 107_reduce_cursor_speed.patch:
+    - Reduce the cursor speed. (LP: #320639)
+
+ -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 24 Jan 2009 20:29:04 +0200
+
 xfree86-driver-synaptics (0.99.3-1ubuntu1) jaunty; urgency=low
 
   * Merge from Debian experimental.
diff --git a/debian/patches/103_enable_cornertapping.patch b/debian/patches/103_enable_cornertapping.patch
index 531c9c3..0a63ae9 100644
--- a/debian/patches/103_enable_cornertapping.patch
+++ b/debian/patches/103_enable_cornertapping.patch
@@ -1,8 +1,8 @@
-Index: xfree86-driver-synaptics-0.15.2/src/synaptics.c
+Index: xfree86-driver-synaptics-0.99.3/src/synaptics.c
 ===================================================================
---- xfree86-driver-synaptics-0.15.2.orig/src/synaptics.c	2008-09-10 20:53:29.000000000 +0200
-+++ xfree86-driver-synaptics-0.15.2/src/synaptics.c	2008-09-18 18:33:57.000000000 +0200
-@@ -470,8 +470,8 @@
+--- xfree86-driver-synaptics-0.99.3.orig/src/synaptics.c	2008-12-15 00:33:15.000000000 +0100
++++ xfree86-driver-synaptics-0.99.3/src/synaptics.c	2009-01-24 15:48:29.000000000 +0100
+@@ -464,8 +464,8 @@
      pars->guestmouse_off = xf86SetBoolOption(opts, "GuestMouseOff", FALSE);
      pars->locked_drags = xf86SetBoolOption(opts, "LockedDrags", FALSE);
      pars->locked_drag_time = xf86SetIntOption(opts, "LockedDragTimeout", 5000);
@@ -12,4 +12,4 @@ Index: xfree86-driver-synaptics-0.15.2/src/synaptics.c
 +    pars->tap_action[RB_TAP] = xf86SetIntOption(opts, "RBCornerButton", 3);
      pars->tap_action[LT_TAP] = xf86SetIntOption(opts, "LTCornerButton", 0);
      pars->tap_action[LB_TAP] = xf86SetIntOption(opts, "LBCornerButton", 0);
-     pars->tap_action[F1_TAP] = xf86SetIntOption(opts, "TapButton1",     1);
+     pars->tap_action[F1_TAP] = xf86SetIntOption(opts, "TapButton1",     tapButton1);
diff --git a/debian/patches/104_always_enable_tapping.patch b/debian/patches/104_always_enable_tapping.patch
new file mode 100644
index 0000000..c2a1989
--- /dev/null
+++ b/debian/patches/104_always_enable_tapping.patch
@@ -0,0 +1,19 @@
+Index: xserver-xorg-input-synaptics/src/synaptics.c
+===================================================================
+--- xserver-xorg-input-synaptics.orig/src/synaptics.c	2009-01-26 09:52:14.000000000 +0200
++++ xserver-xorg-input-synaptics/src/synaptics.c	2009-01-26 09:52:27.000000000 +0200
+@@ -403,10 +403,10 @@
+ 	palmMinWidth = 10;
+     }
+ 
+-    /* Enable tap if we don't have a phys left button */
+-    tapButton1 = priv->has_left ? 0 : 1;
+-    tapButton2 = priv->has_left ? 0 : 3;
+-    tapButton3 = priv->has_left ? 0 : 2;
++    /* Enable tap */
++    tapButton1 = 1;
++    tapButton2 = 2;
++    tapButton3 = 3;
+ 
+     /* Enable multifinger-click if we don't have right/middle button,
+        otherwise clickFinger is always button 1. */
diff --git a/debian/patches/105_always_enable_multifinger_click.patch b/debian/patches/105_always_enable_multifinger_click.patch
new file mode 100644
index 0000000..a43d05c
--- /dev/null
+++ b/debian/patches/105_always_enable_multifinger_click.patch
@@ -0,0 +1,19 @@
+Index: xserver-xorg-input-synaptics/src/synaptics.c
+===================================================================
+--- xserver-xorg-input-synaptics.orig/src/synaptics.c	2009-01-26 09:52:27.000000000 +0200
++++ xserver-xorg-input-synaptics/src/synaptics.c	2009-01-26 09:52:44.000000000 +0200
+@@ -408,11 +408,10 @@
+     tapButton2 = 2;
+     tapButton3 = 3;
+ 
+-    /* Enable multifinger-click if we don't have right/middle button,
+-       otherwise clickFinger is always button 1. */
++    /* Enable multifinger-click */
+     clickFinger1 = 1;
+-    clickFinger2 = priv->has_right ? 1 : 3;
+-    clickFinger3 = priv->has_middle ? 1 : 2;
++    clickFinger2 = 2;
++    clickFinger3 = 3;
+ 
+     /* Enable vert edge scroll if we can't detect doubletap */
+     vertEdgeScroll = priv->has_double ? FALSE : TRUE;
diff --git a/debian/patches/106_always_enable_vert_edge_scroll.patch b/debian/patches/106_always_enable_vert_edge_scroll.patch
new file mode 100644
index 0000000..5844a0d
--- /dev/null
+++ b/debian/patches/106_always_enable_vert_edge_scroll.patch
@@ -0,0 +1,15 @@
+Index: xserver-xorg-input-synaptics/src/synaptics.c
+===================================================================
+--- xserver-xorg-input-synaptics.orig/src/synaptics.c	2009-01-26 09:52:44.000000000 +0200
++++ xserver-xorg-input-synaptics/src/synaptics.c	2009-01-26 09:52:48.000000000 +0200
+@@ -413,8 +413,8 @@
+     clickFinger2 = 2;
+     clickFinger3 = 3;
+ 
+-    /* Enable vert edge scroll if we can't detect doubletap */
+-    vertEdgeScroll = priv->has_double ? FALSE : TRUE;
++    /* Enable vert edge scroll */
++    vertEdgeScroll = TRUE;
+     horizEdgeScroll = FALSE;
+ 
+     /* Enable twofinger scroll if we can detect doubletap */
diff --git a/debian/patches/107_reduce_cursor_speed.patch b/debian/patches/107_reduce_cursor_speed.patch
new file mode 100644
index 0000000..b7edcc7
--- /dev/null
+++ b/debian/patches/107_reduce_cursor_speed.patch
@@ -0,0 +1,15 @@
+Index: xserver-xorg-input-synaptics/src/synaptics.c
+===================================================================
+--- xserver-xorg-input-synaptics.orig/src/synaptics.c	2009-01-26 09:52:48.000000000 +0200
++++ xserver-xorg-input-synaptics/src/synaptics.c	2009-01-26 09:52:54.000000000 +0200
+@@ -483,8 +483,8 @@
+     pars->press_motion_min_z = xf86SetIntOption(opts, "PressureMotionMinZ", pressureMotionMinZ);
+     pars->press_motion_max_z = xf86SetIntOption(opts, "PressureMotionMaxZ", pressureMotionMaxZ);
+ 
+-    pars->min_speed = synSetFloatOption(opts, "MinSpeed", 0.4);
+-    pars->max_speed = synSetFloatOption(opts, "MaxSpeed", 0.7);
++    pars->min_speed = synSetFloatOption(opts, "MinSpeed", 0.02);
++    pars->max_speed = synSetFloatOption(opts, "MaxSpeed", 0.5);
+     pars->accl = synSetFloatOption(opts, "AccelFactor", accelFactor);
+     pars->trackstick_speed = synSetFloatOption(opts, "TrackstickSpeed", 40);
+     pars->scroll_dist_circ = synSetFloatOption(opts, "CircScrollDelta", 0.1);
diff --git a/debian/patches/series b/debian/patches/series
index 66a03f4..50e5564 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,6 @@
 01-synaptics-dont-grab-if-not-on-current-VT.patch
 103_enable_cornertapping.patch
+104_always_enable_tapping.patch
+105_always_enable_multifinger_click.patch
+106_always_enable_vert_edge_scroll.patch
+107_reduce_cursor_speed.patch

commit 4af01418b344b5bf005a6cdd7250bd27cccaaa6e
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jan 26 04:43:21 2009 +0100

    Prepare changelog for upload

diff --git a/debian/changelog b/debian/changelog
index d45f12b..51a632e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,10 +1,10 @@
-xfree86-driver-synaptics (0.99.3-2) UNRELEASED; urgency=low
+xfree86-driver-synaptics (0.99.3-2) experimental; urgency=low
 
   * Update our copy of xsfbs to get a fixed serverabi rule and generate
     Provides/Depends correctly.
   * Refresh patch 01-synaptics-dont-grab-if-not-on-current-VT.patch.
 
- -- Julien Cristau <jcristau@debian.org>  Mon, 26 Jan 2009 04:36:36 +0100
+ -- Julien Cristau <jcristau@debian.org>  Mon, 26 Jan 2009 04:43:08 +0100
 
 xfree86-driver-synaptics (0.99.3-1) experimental; urgency=low
 

commit 590f770c1ae474a74237301da0a414f71add87d1
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jan 26 04:43:06 2009 +0100

    Refresh patch 01-synaptics-dont-grab-if-not-on-current-VT.patch.

diff --git a/debian/changelog b/debian/changelog
index 4953bb0..d45f12b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,7 @@ xfree86-driver-synaptics (0.99.3-2) UNRELEASED; urgency=low
 
   * Update our copy of xsfbs to get a fixed serverabi rule and generate
     Provides/Depends correctly.
+  * Refresh patch 01-synaptics-dont-grab-if-not-on-current-VT.patch.
 
  -- Julien Cristau <jcristau@debian.org>  Mon, 26 Jan 2009 04:36:36 +0100
 
diff --git a/debian/patches/01-synaptics-dont-grab-if-not-on-current-VT.patch b/debian/patches/01-synaptics-dont-grab-if-not-on-current-VT.patch
index 76be1f9..16562d0 100644
--- a/debian/patches/01-synaptics-dont-grab-if-not-on-current-VT.patch
+++ b/debian/patches/01-synaptics-dont-grab-if-not-on-current-VT.patch
@@ -1,8 +1,8 @@
 Index: xserver-xorg-input-synaptics/src/synaptics.c
 ===================================================================
---- xserver-xorg-input-synaptics.orig/src/synaptics.c	2008-08-23 20:07:18.227433722 +0900
-+++ xserver-xorg-input-synaptics/src/synaptics.c	2008-08-24 12:06:27.626422532 +0900
-@@ -563,6 +563,9 @@ DeviceOn(DeviceIntPtr dev)
+--- xserver-xorg-input-synaptics.orig/src/synaptics.c
++++ xserver-xorg-input-synaptics/src/synaptics.c
+@@ -691,6 +691,9 @@
  
      DBG(3, ErrorF("Synaptics DeviceOn called\n"));
  

commit 35b2043f4052b35043fb88dd26d1a0c504ba55b2
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jan 26 04:42:04 2009 +0100

    update changelog

diff --git a/debian/changelog b/debian/changelog
index c80822e..4953bb0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+xfree86-driver-synaptics (0.99.3-2) UNRELEASED; urgency=low
+
+  * Update our copy of xsfbs to get a fixed serverabi rule and generate
+    Provides/Depends correctly.
+
+ -- Julien Cristau <jcristau@debian.org>  Mon, 26 Jan 2009 04:36:36 +0100
+
 xfree86-driver-synaptics (0.99.3-1) experimental; urgency=low
 
   [ Timo Aaltonen ]

commit 86e7669f5d912824e341ea487a6257ec5433eb90
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Jul 17 15:44:45 2008 +0200

    xsfbs.mk: make 'log' a separate target
    
    'prepare' runs genscripts, and we don't want that in unpatch,
    so create stampdir/log in a separate target, and make unpatch
    depend on that instead of prepare.

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 984e81c..f0f8953 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -110,10 +110,15 @@ $(STAMP_DIR)/stampdir:
 .PHONY: prepare
 stampdir_targets+=prepare
 prepare: $(STAMP_DIR)/prepare
-$(STAMP_DIR)/prepare: $(STAMP_DIR)/stampdir $(STAMP_DIR)/genscripts
-	mkdir -p $(STAMP_DIR)/log
+$(STAMP_DIR)/prepare: $(STAMP_DIR)/log $(STAMP_DIR)/genscripts
 	>$@
 
+.PHONY: log
+stampdir_targets+=log
+log: $(STAMP_DIR)/log
+$(STAMP_DIR)/log: $(STAMP_DIR)/stampdir
+	mkdir -p $(STAMP_DIR)/log
+
 # Apply all patches to the upstream source.
 .PHONY: patch
 stampdir_targets+=patch
@@ -140,7 +145,7 @@ $(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
 
 # Revert all patches to the upstream source.
 .PHONY: unpatch
-unpatch: $(STAMP_DIR)/prepare
+unpatch: $(STAMP_DIR)/log
 	rm -f $(STAMP_DIR)/patch
 	@echo -n "Unapplying patches..."; \
 	if $(QUILT) applied >/dev/null 2>/dev/null; then \

commit 50619e730fcaf422ffa4451468520526b2a830b8
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Jul 16 18:42:14 2008 +0200

    xsfbs.mk: update the list of releases, and drop some unused code
    
    we haven't had a separate source tree since modularization.

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 2350f80..984e81c 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -44,9 +44,9 @@ NO_EPOCH_VER:=$(shell echo $(UPSTREAM_VERSION) | sed 's/^.://')
 BUILDER:=$(shell echo $${DEBEMAIL:-$${EMAIL:-$$(echo $$LOGNAME@$$(cat /etc/mailname 2>/dev/null))}})
 
 # Find out if this is an official build; an official build has nothing but
-# digits, dots, and/or the strings "woody" or "sarge" in the Debian part of the
+# digits, dots, and/or the codename of a release in the Debian part of the
 # version number.  Anything else indicates an unofficial build.
-OFFICIAL_BUILD:=$(shell VERSION=$(SOURCE_VERSION); if ! expr "$$(echo $${VERSION\#\#*-} | sed 's/\(woody\|sarge\)//g')" : ".*[^0-9.].*" >/dev/null 2>&1; then echo yes; fi)
+OFFICIAL_BUILD:=$(shell VERSION=$(SOURCE_VERSION); if ! expr "$$(echo $${VERSION\#\#*-} | sed 's/\(woody\|sarge\|etch\|lenny\)//g')" : ".*[^0-9.].*" >/dev/null 2>&1; then echo yes; fi)
 
 # Set up parameters for the Debian build environment.
 
@@ -69,16 +69,6 @@ endif
 # $(STAMP_DIR) houses stamp files for complex targets.
 STAMP_DIR:=stampdir
 
-# $(SOURCE_DIR) houses one or more source trees.
-SOURCE_DIR:=build-tree
-
-# $(SOURCE_TREE) is the location of the source tree to be compiled.  If there
-# is more than one, others are found using this name plus a suffix to indicate
-# the purpose of the additional tree (e.g., $(SOURCE_TREE)-custom).  The
-# "setup" target is responsible for creating such trees.
-#SOURCE_TREE:=$(SOURCE_DIR)/xc
-#FIXME We need to define this in our debian/rules file
-
 # $(DEBTREEDIR) is where all install rules are told (via $(DESTDIR)) to place
 # their files.
 DEBTREEDIR:=$(CURDIR)/debian/tmp

commit 6c29758eb1a2798f6b77516b7a75dc399769d217
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Jul 16 18:22:01 2008 +0200

    xsfbs.mk: more parallel make fixing

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index fa2431e..2350f80 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -119,8 +119,8 @@ $(STAMP_DIR)/stampdir:
 # Set up the package build directory as quilt expects to find it.
 .PHONY: prepare
 stampdir_targets+=prepare
-prepare: $(STAMP_DIR)/genscripts $(STAMP_DIR)/prepare
-$(STAMP_DIR)/prepare: $(STAMP_DIR)/stampdir
+prepare: $(STAMP_DIR)/prepare
+$(STAMP_DIR)/prepare: $(STAMP_DIR)/stampdir $(STAMP_DIR)/genscripts
 	mkdir -p $(STAMP_DIR)/log
 	>$@
 

commit 78b3958b14a5298165d8500d711342be1b7b6463
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Jul 16 18:22:01 2008 +0200

    xsfbs.mk: fix the prepare target for parallel make

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index b871b3b..fa2431e 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -119,11 +119,9 @@ $(STAMP_DIR)/stampdir:
 # Set up the package build directory as quilt expects to find it.
 .PHONY: prepare
 stampdir_targets+=prepare
-prepare: $(STAMP_DIR)/genscripts $(STAMP_DIR)/prepare $(STAMP_DIR)/log
+prepare: $(STAMP_DIR)/genscripts $(STAMP_DIR)/prepare
 $(STAMP_DIR)/prepare: $(STAMP_DIR)/stampdir
-	if [ ! -e $(STAMP_DIR)/log ]; then \
-		mkdir $(STAMP_DIR)/log; \
-	fi; \
+	mkdir -p $(STAMP_DIR)/log
 	>$@
 
 # Apply all patches to the upstream source.

commit 4c2fb5aa80a15b5a9a9b51b03c7dc30496a22561
Author: Brice Goglin <bgoglin@debian.org>
Date:   Sat May 31 13:23:24 2008 +0200

    Update xsfbs/quilt patching rules to be compatible with the
    "3.0 (quilt)" source package.
    
    Thanks to Raphael Hertzog.
    See http://lists.debian.org/debian-x/2008/05/msg01250.html for details.

diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index c11923f..b871b3b 100755
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -21,10 +21,8 @@
 # Pass $(DH_OPTIONS) into the environment for debhelper's benefit.
 export DH_OPTIONS
 
-# force quilt to not use ~/.quiltrc
-QUILT = quilt --quiltrc /dev/null
-# force QUILT_PATCHES to the default in case it is exported in the environment
-QUILT_PATCHES = patches/
+# force quilt to not use ~/.quiltrc and to use debian/patches
+QUILT = QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null
 
 # Set up parameters for the upstream build environment.
 
@@ -121,19 +119,11 @@ $(STAMP_DIR)/stampdir:
 # Set up the package build directory as quilt expects to find it.
 .PHONY: prepare
 stampdir_targets+=prepare
-prepare: $(STAMP_DIR)/genscripts $(STAMP_DIR)/prepare $(STAMP_DIR)/patches $(STAMP_DIR)/log
+prepare: $(STAMP_DIR)/genscripts $(STAMP_DIR)/prepare $(STAMP_DIR)/log
 $(STAMP_DIR)/prepare: $(STAMP_DIR)/stampdir
-	if [ ! -e $(STAMP_DIR)/patches ]; then \
-		mkdir $(STAMP_DIR)/patches; \
-		ln -s $(STAMP_DIR)/patches .pc; \
-		echo 2 >$(STAMP_DIR)/patches/.version; \
-	fi; \
 	if [ ! -e $(STAMP_DIR)/log ]; then \
 		mkdir $(STAMP_DIR)/log; \
 	fi; \
-	if [ -e debian/patches ] && [ ! -e patches ]; then \
-		ln -s debian/patches patches; \
-	fi; \
 	>$@
 
 # Apply all patches to the upstream source.
@@ -162,10 +152,10 @@ $(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
 
 # Revert all patches to the upstream source.
 .PHONY: unpatch
-unpatch:
+unpatch: $(STAMP_DIR)/prepare
 	rm -f $(STAMP_DIR)/patch
 	@echo -n "Unapplying patches..."; \
-	if [ -e $(STAMP_DIR)/patches/applied-patches ]; then \
+	if $(QUILT) applied >/dev/null 2>/dev/null; then \
 	  if $(QUILT) pop -a -v >$(STAMP_DIR)/log/unpatch 2>&1; then \
 	    cat $(STAMP_DIR)/log/unpatch; \
 	    echo "successful."; \
@@ -192,7 +182,7 @@ cleanscripts:
 .PHONY: xsfclean
 xsfclean: cleanscripts unpatch
 	dh_testdir
-	rm -rf .pc patches
+	rm -rf .pc
 	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
 	rm -rf imports
 	dh_clean debian/shlibs.local \

commit dcf4204d5328834172df80951a18de014b0f74ef
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 30 12:26:18 2008 +0200

    xsfbs.sh: use 'local' now that policy allows it
    
    Policy 3.7.3 allows /bin/sh scripts to use 'local'.

diff --git a/debian/xsfbs/xsfbs.sh b/debian/xsfbs/xsfbs.sh
index 0c7607a..72efa95 100644
--- a/debian/xsfbs/xsfbs.sh
+++ b/debian/xsfbs/xsfbs.sh
@@ -238,19 +238,19 @@ analyze_path () {
   # analyze_path /usr/X11R6/bin -> ls -dl /usr /usr/X11R6 /usr/X11R6/bin
   # Thanks to Randolph Chung for this clever hack.
 
-  #local f g
+  local f g
 
   while [ -n "$1" ]; do
     reject_whitespace "$1"
-    _g=
+    g=
     message "Analyzing $1:"
-    for _f in $(echo "$1" | tr / \  ); do
-      if [ -e /$_g$_f ]; then
-        ls -dl /$_g$_f /$_g$_f.dpkg-* 2> /dev/null || true
-        _g=$_g$_f/
+    for f in $(echo "$1" | tr / \  ); do
+      if [ -e /$g$f ]; then
+        ls -dl /$g$f /$g$f.dpkg-* 2> /dev/null || true
+        g=$g$f/
       else
-        message "/$_g$_f: nonexistent; directory contents of /$_g:"
-        ls -l /$_g
+        message "/$g$f: nonexistent; directory contents of /$g:"
+        ls -l /$g
         break
       fi
     done
@@ -259,27 +259,27 @@ analyze_path () {
 }
 
 find_culprits () {
-  #local f p dpkg_info_dir possible_culprits smoking_guns bad_packages package \
-  #  msg
+  local f p dpkg_info_dir possible_culprits smoking_guns bad_packages package \
+    msg
 
   reject_whitespace "$1"
   message "Searching for overlapping packages..."
-  _dpkg_info_dir=/var/lib/dpkg/info
-  if [ -d $_dpkg_info_dir ]; then
-    if [ "$(echo $_dpkg_info_dir/*.list)" != "$_dpkg_info_dir/*.list" ]; then
-      _possible_culprits=$(ls -1 $_dpkg_info_dir/*.list | egrep -v \
+  dpkg_info_dir=/var/lib/dpkg/info
+  if [ -d $dpkg_info_dir ]; then
+    if [ "$(echo $dpkg_info_dir/*.list)" != "$dpkg_info_dir/*.list" ]; then
+      possible_culprits=$(ls -1 $dpkg_info_dir/*.list | egrep -v \
         "(xbase-clients|x11-common|xfs|xlibs)")
-      if [ -n "$_possible_culprits" ]; then
-        _smoking_guns=$(grep -l "$1" $_possible_culprits || true)
-        if [ -n "$_smoking_guns" ]; then
-          _bad_packages=$(printf "\\n")
-          for f in $_smoking_guns; do
+      if [ -n "$possible_culprits" ]; then
+        smoking_guns=$(grep -l "$1" $possible_culprits || true)
+        if [ -n "$smoking_guns" ]; then
+          bad_packages=$(printf "\\n")
+          for f in $smoking_guns; do
             # too bad you can't nest parameter expansion voodoo
             p=${f%*.list}      # strip off the trailing ".list"
-            _package=${p##*/}   # strip off the directories
-            _bad_packages=$(printf "%s\n%s" "$_bad_packages" "$_package")
+            package=${p##*/}   # strip off the directories
+            bad_packages=$(printf "%s\n%s" "$bad_packages" "$package")
           done
-          _msg=$(cat <<EOF
+          msg=$(cat <<EOF
 The following packages appear to have file overlaps with the X.Org packages;
 these packages are either very old, or in violation of Debian Policy.  Try
 upgrading each of these packages to the latest available version if possible:
@@ -291,17 +291,17 @@ Tracking System.  You may want to refer the package maintainer to section 12.8
 of the Debian Policy manual.
 EOF
 )
-          message "$_msg"
-          message "The overlapping packages are: $_bad_packages"
+          message "$msg"
+          message "The overlapping packages are: $bad_packages"
         else
           message "no overlaps found."
         fi
       fi
     else
-      message "cannot search; no matches for $_dpkg_info_dir/*.list."
+      message "cannot search; no matches for $dpkg_info_dir/*.list."
     fi
   else
-    message "cannot search; $_dpkg_info_dir does not exist."
+    message "cannot search; $dpkg_info_dir does not exist."
   fi
 }
 
@@ -323,7 +323,7 @@ check_symlink () {
   #
   # Primarily used by check_symlinks_and_warn() and check_symlinks_and_bomb().
 
-  #local symlink
+  local symlink
 
   # validate arguments
   if [ $# -ne 1 ]; then
@@ -332,9 +332,9 @@ check_symlink () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _symlink="$1"
+  symlink="$1"
 
-  if [ "$(maplink "$_symlink")" = "$(readlink "$_symlink")" ]; then
+  if [ "$(maplink "$symlink")" = "$(readlink "$symlink")" ]; then
     return 0
   else
     return 1
@@ -349,7 +349,7 @@ check_symlinks_and_warn () {
   # Call this function from a preinst script in the event $1 is "upgrade" or
   # "install".
 
-  #local errmsg symlink
+  local errmsg symlink
 
   # validate arguments
   if [ $# -lt 1 ]; then
@@ -359,25 +359,25 @@ check_symlinks_and_warn () {
   fi
 
   while [ -n "$1" ]; do
-    _symlink="$1"
-    if [ -L "$_symlink" ]; then
-      if ! check_symlink "$_symlink"; then
-        observe "$_symlink symbolic link points to wrong location" \
-                "$(readlink "$_symlink"); removing"
-        rm "$_symlink"
+    symlink="$1"
+    if [ -L "$symlink" ]; then
+      if ! check_symlink "$symlink"; then
+        observe "$symlink symbolic link points to wrong location" \
+                "$(readlink "$symlink"); removing"
+        rm "$symlink"
       fi
-    elif [ -e "$_symlink" ]; then
-      _errmsg="$_symlink exists and is not a symbolic link; this package cannot"
-      _errmsg="$_errmsg be installed until this"
-      if [ -f "$_symlink" ]; then
-        _errmsg="$_errmsg file"
-      elif [ -d "$_symlink" ]; then
-        _errmsg="$_errmsg directory"
+    elif [ -e "$symlink" ]; then
+      errmsg="$symlink exists and is not a symbolic link; this package cannot"
+      errmsg="$errmsg be installed until this"
+      if [ -f "$symlink" ]; then
+        errmsg="$errmsg file"
+      elif [ -d "$symlink" ]; then
+        errmsg="$errmsg directory"
       else
-        _errmsg="$_errmsg thing"
+        errmsg="$errmsg thing"
       fi
-      _errmsg="$_errmsg is removed"
-      die "$_errmsg"
+      errmsg="$errmsg is removed"
+      die "$errmsg"
     fi
     shift
   done
@@ -390,7 +390,7 @@ check_symlinks_and_bomb () {
   #
   # Call this function from a postinst script.
 
-  #local problem symlink
+  local problem symlink
 
   # validate arguments
   if [ $# -lt 1 ]; then
@@ -400,24 +400,24 @@ check_symlinks_and_bomb () {
   fi
 
   while [ -n "$1" ]; do
-    _problem=
-    _symlink="$1"
-    if [ -L "$_symlink" ]; then
-      if ! check_symlink "$_symlink"; then
-        _problem=yes
-        warn "$_symlink symbolic link points to wrong location" \
-             "$(readlink "$_symlink")"
+    problem=
+    symlink="$1"
+    if [ -L "$symlink" ]; then
+      if ! check_symlink "$symlink"; then
+        problem=yes
+        warn "$symlink symbolic link points to wrong location" \
+             "$(readlink "$symlink")"
       fi
-    elif [ -e "$_symlink" ]; then
-      _problem=yes
-      warn "$_symlink is not a symbolic link"
+    elif [ -e "$symlink" ]; then
+      problem=yes
+      warn "$symlink is not a symbolic link"
     else
-      _problem=yes
-      warn "$_symlink symbolic link does not exist"
+      problem=yes
+      warn "$symlink symbolic link does not exist"
     fi
-    if [ -n "$_problem" ]; then
-      analyze_path "$_symlink" "$(readlink "$_symlink")"
-      find_culprits "$_symlink"
+    if [ -n "$problem" ]; then
+      analyze_path "$symlink" "$(readlink "$symlink")"
+      find_culprits "$symlink"
       die "bad symbolic links on system"
     fi
     shift
@@ -427,9 +427,9 @@ check_symlinks_and_bomb () {
 font_update () {
   # run $UPDATECMDS in $FONTDIRS
 
-  #local dir cmd shortcmd x_font_dir_prefix
+  local dir cmd shortcmd x_font_dir_prefix
 
-  _x_font_dir_prefix="/usr/share/fonts/X11"
+  x_font_dir_prefix="/usr/share/fonts/X11"
 
   if [ -z "$UPDATECMDS" ]; then
     usage_error "font_update() called but \$UPDATECMDS not set"
@@ -441,32 +441,32 @@ font_update () {
   reject_unlikely_path_chars "$UPDATECMDS"
   reject_unlikely_path_chars "$FONTDIRS"
 
-  for _dir in $FONTDIRS; do
-    if [ -d "$_x_font_dir_prefix/$_dir" ]; then
-      for _cmd in $UPDATECMDS; do
-        if which "$_cmd" > /dev/null 2>&1; then
-          _shortcmd=${_cmd##*/}
-          observe "running $_shortcmd in $_dir font directory"
-	  _cmd_opts=
-          if [ "$_shortcmd" = "update-fonts-alias" ]; then
-            _cmd_opts=--x11r7-layout
+  for dir in $FONTDIRS; do
+    if [ -d "$x_font_dir_prefix/$dir" ]; then
+      for cmd in $UPDATECMDS; do
+        if which "$cmd" > /dev/null 2>&1; then
+          shortcmd=${cmd##*/}
+          observe "running $shortcmd in $dir font directory"
+	  cmd_opts=
+          if [ "$shortcmd" = "update-fonts-alias" ]; then
+            cmd_opts=--x11r7-layout
           fi
-          if [ "$_shortcmd" = "update-fonts-dir" ]; then
-            _cmd_opts=--x11r7-layout
+          if [ "$shortcmd" = "update-fonts-dir" ]; then
+            cmd_opts=--x11r7-layout
           fi
-          if [ "$_shortcmd" = "update-fonts-scale" ]; then
-            _cmd_opts=--x11r7-layout
+          if [ "$shortcmd" = "update-fonts-scale" ]; then
+            cmd_opts=--x11r7-layout
           fi
-          $_cmd $_cmd_opts $_dir || warn "$_cmd $_cmd_opts $_dir" \
+          $cmd $cmd_opts $dir || warn "$cmd $cmd_opts $dir" \
                               "failed; font directory data may not" \
                               "be up to date"
         else
-          warn "$_cmd not found; not updating corresponding $_dir font" \
+          warn "$cmd not found; not updating corresponding $dir font" \
                "directory data"
         fi
       done
     else
-      warn "$_dir is not a directory; not updating font directory data"
+      warn "$dir is not a directory; not updating font directory data"
     fi
   done
 }
@@ -485,7 +485,7 @@ remove_conffile_prepare () {
   # version (or installed over a version removed-but-not-purged) prior to the
   # one in which the conffile was obsoleted.
 
-  #local conffile current_checksum
+  local conffile current_checksum
 
   # validate arguments
   if [ $# -lt 2 ]; then
@@ -494,19 +494,19 @@ remove_conffile_prepare () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _conffile="$1"
+  conffile="$1"
   shift
 
-  # does the _conffile even exist?
-  if [ -e "$_conffile" ]; then
+  # does the conffile even exist?
+  if [ -e "$conffile" ]; then
     # calculate its checksum
-    _current_checksum=$(md5sum < "$_conffile" | sed 's/[[:space:]].*//')
+    current_checksum=$(md5sum < "$conffile" | sed 's/[[:space:]].*//')
     # compare it to each supplied checksum
     while [ -n "$1" ]; do
-      if [ "$_current_checksum" = "$1" ]; then
+      if [ "$current_checksum" = "$1" ]; then
         # we found a match; move the confffile and stop looking
-        observe "preparing obsolete conffile $_conffile for removal"
-        mv "$_conffile" "$_conffile.$THIS_PACKAGE-tmp"
+        observe "preparing obsolete conffile $conffile for removal"
+        mv "$conffile" "$conffile.$THIS_PACKAGE-tmp"
         break
       fi
       shift
@@ -553,7 +553,7 @@ remove_conffile_commit () {
   # Call this function from a postinst script after having used
   # remove_conffile_prepare() in the preinst.
 
-  #local conffile
+  local conffile
 
   # validate arguments
   if [ $# -ne 1 ]; then
@@ -562,12 +562,12 @@ remove_conffile_commit () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _conffile="$1"
+  conffile="$1"
 
   # if the temporary file created by remove_conffile_prepare() exists, remove it
-  if [ -e "$_conffile.$THIS_PACKAGE-tmp" ]; then
-    observe "committing removal of obsolete conffile $_conffile"
-    rm "$_conffile.$THIS_PACKAGE-tmp"
+  if [ -e "$conffile.$THIS_PACKAGE-tmp" ]; then
+    observe "committing removal of obsolete conffile $conffile"
+    rm "$conffile.$THIS_PACKAGE-tmp"
   fi
 }
 
@@ -580,7 +580,7 @@ remove_conffile_rollback () {
   # or "abort-install" is  after having used remove_conffile_prepare() in the
   # preinst.
 
-  #local conffile
+  local conffile
 
   # validate arguments
   if [ $# -ne 1 ]; then
@@ -589,13 +589,13 @@ remove_conffile_rollback () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _conffile="$1"
+  conffile="$1"
 
   # if the temporary file created by remove_conffile_prepare() exists, move it
   # back
-  if [ -e "$_conffile.$THIS_PACKAGE-tmp" ]; then
-    observe "rolling back removal of obsolete conffile $_conffile"
-    mv "$_conffile.$THIS_PACKAGE-tmp" "$_conffile"
+  if [ -e "$conffile.$THIS_PACKAGE-tmp" ]; then
+    observe "rolling back removal of obsolete conffile $conffile"
+    mv "$conffile.$THIS_PACKAGE-tmp" "$conffile"
   fi
 }
 
@@ -615,7 +615,7 @@ replace_conffile_with_symlink_prepare () {
   # version (or installed over a version removed-but-not-purged) prior to the
   # one in which the conffile was obsoleted.
 
-  #local conffile current_checksum
+  local conffile current_checksum
 
   # validate arguments
   if [ $# -lt 3 ]; then
@@ -624,16 +624,16 @@ replace_conffile_with_symlink_prepare () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _oldconffile="$1"
+  oldconffile="$1"
   shift
-  _newconffile="$1"
+  newconffile="$1"
   shift
 
   remove_conffile_prepare "$_oldconffile" "$@"
-  # If $_oldconffile still exists, then md5sums didn't match.
+  # If $oldconffile still exists, then md5sums didn't match.
   # Copy it to new one.
-  if [ -f "$_oldconffile" ]; then
-    cp "$_oldconffile" "$_newconffile"
+  if [ -f "$oldconffile" ]; then
+    cp "$oldconffile" "$newconffile"
   fi
 
 }
@@ -647,7 +647,7 @@ replace_conffile_with_symlink_commit () {
   # Call this function from a postinst script after having used
   # replace_conffile_with_symlink_prepare() in the preinst.
 
-  #local conffile
+  local conffile
 
   # validate arguments
   if [ $# -ne 1 ]; then
@@ -656,9 +656,9 @@ replace_conffile_with_symlink_commit () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _conffile="$1"
+  conffile="$1"
 
-  remove_conffile_commit "$_conffile"
+  remove_conffile_commit "$conffile"
 }
 
 replace_conffile_with_symlink_rollback () {
@@ -674,7 +674,7 @@ replace_conffile_with_symlink_rollback () {
   # You should have  used replace_conffile_with_symlink_prepare() in the
   # preinst.
 
-  #local conffile
+  local conffile
 
   # validate arguments
   if [ $# -ne 2 ]; then
@@ -683,12 +683,12 @@ replace_conffile_with_symlink_rollback () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  _oldconffile="$1"
-  _newconffile="$2"
+  oldconffile="$1"
+  newconffile="$2"
 
   remove_conffile_rollback "$_oldconffile"
-  if [ -f "$_newconffile" ]; then
-    rm "$_newconffile"
+  if [ -f "$newconffile" ]; then
+    rm "$newconffile"
   fi
 }
 
@@ -703,7 +703,7 @@ run () {
   # those cases the return value of the debconf command *must* be checked
   # before the string returned by debconf is used for anything.
 
-  #local retval
+  local retval
 
   # validate arguments
   if [ $# -lt 1 ]; then
@@ -712,10 +712,10 @@ run () {
     exit $SHELL_LIB_USAGE_ERROR
   fi
 
-  "$@" || _retval=$?
+  "$@" || retval=$?
 
-  if [ ${_retval:-0} -ne 0 ]; then
-    observe "command \"$*\" exited with status $_retval"
+  if [ ${retval:-0} -ne 0 ]; then
+    observe "command \"$*\" exited with status $retval"
   fi
 }
 
@@ -728,15 +728,15 @@ register_x_lib_dir_with_ld_so () {
   # Call this function from the postinst script of a package that places a
   # shared library in /usr/X11R6/lib, before invoking ldconfig.
 
-  #local dir ldsoconf
+  local dir ldsoconf
 
-  _dir="/usr/X11R6/lib"
-  _ldsoconf="/etc/ld.so.conf"
+  dir="/usr/X11R6/lib"
+  ldsoconf="/etc/ld.so.conf"
 
   # is the line not already present?
-  if ! fgrep -qsx "$_dir" "$_ldsoconf"; then
-    observe "adding $_dir directory to $_ldsoconf"
-    echo "$_dir" >> "$_ldsoconf"
+  if ! fgrep -qsx "$dir" "$ldsoconf"; then
+    observe "adding $dir directory to $ldsoconf"
+    echo "$dir" >> "$ldsoconf"
   fi
 }
 
@@ -750,36 +750,36 @@ deregister_x_lib_dir_with_ld_so () {
   # library in /usr/X11R6/lib, in the event "$1" is "remove", and before
   # invoking ldconfig.
 
-  #local dir ldsoconf fgrep_status cmp_status
+  local dir ldsoconf fgrep_status cmp_status
 
-  _dir="/usr/X11R6/lib"
-  _ldsoconf="/etc/ld.so.conf"
+  dir="/usr/X11R6/lib"
+  ldsoconf="/etc/ld.so.conf"
 
   # is the line present?
-  if fgrep -qsx "$_dir" "$_ldsoconf"; then


Reply to: